{% extends 'index.html' %}
{% block content %}
{% if perms.Products.can_create %}
    <form method="get" action="{% url 'product_create' %}">
        <input class="button-create" id="create-but" type="submit" value="Create an item">
    </form>
    {% endif %}
    <div>
        <table class="table">
            <thead>
            <tr style="background: #ef4a00;">
                <th>ID</th>
                <th>Name</th>
                <th>Price</th>
                <th>Quantity</th>
                <th>Category</th>
                <th>IMG</th>
                <th>Resealed</th>
                <th>Edit</th>
                <th>Delete</th>
            </tr>
            </thead>
            <tbody>
            {% for prd in products %}
                <tr>
                    <td>{{ prd.pk }}</td>
                    <td>{{ prd.name }}</td>
                    <td>{{ prd.price }}</td>
                    <td>{{ prd.quantity }}</td>
                    <td>{{ prd.category }}</td>
                    {% if prd.image.url %}
                        <td><img style="width:50px;height:50px;" src="{{ prd.image.url }}" alt="img"></td>
                    {% else %}
                        <td><img style="width:50px;height:50px;" src="#" alt="img"></td>
                    {% endif %}
                    <td>{{ prd.resealed }}</td>
                    <td>{% if perms.Products.can_update %}
                        <a href="{% url 'product_update' prd.pk %}"><i class="far fa-edit"></i></a>{% endif %}</td>
                    <td>{% if perms.Products.can_delete %}
                        <a href="{% url "product_delete" prd.pk %} "><i class="far fa-trash-alt"></i></a>{% endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    <div class="paginator-block">
        <ul>
            {% if products.has_previous %}
                    <a class="inactive-page" href="?page={{ 1 }}" aria-label="Previous">
                        &laquo;
                    </a>
                {% endif %}
                {% if products.number|add:'-4' > 1 %}
                    <a class="inactive-page" href="?page={{ products.number|add:'-6' }}">&hellip;</a>
                {% endif %}
                {% for n in products.paginator.page_range %}
                    {% if products.number == n %}

                        <a class="active-page">{{ n }}</a>
                    {% elif n > products.number|add:'-5' and n < products.number|add:'5' %}

                        <a class="inactive-page" href="?page={{ n }}">{{ n }}</a>

                    {% endif %}
                {% endfor %}
                {% if products.paginator.num_pages > products.number|add:'5' %}
                    <a class="inactive-page" href="?page={{ products.number|add:'6' }}">&hellip;</a>
                {% endif %}
                {% if products.has_next %}
                    <a class="inactive-page" href="?page={{ products.paginator.num_pages }}" aria-label="Next">
                        &raquo;
                    </a>
                {% endif %}

        </ul>
    </div>
    </div>
{% endblock %}